%define momorel 3

Summary: FAM, the File Alteration Monitor.
Name: fam

Version: 2.6.10
Release: %{momorel}m
License: GPL and LGPL
Group: System Environment/Daemons
URL: http://oss.sgi.com/projects/fam/

%NoSource 0 ftp://oss.sgi.com/projects/fam/download/stable/fam-%{version}.tar.gz 1c5a2ea659680bdd1e238d7828a857a7
Source2: sgi_fam.xinetd

Patch1: fam-2.6.9-dnotify.patch
Patch2: fam_build.patch
Patch7: fam-2.6.7-cleanup.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

Requires: portmap
Requires: xinetd >= 2.1.8.9

%description
FAM, the File Alteration Monitor, provides a daemon and an API which
applications can use for notification of changes in specific files or
directories.

%package devel
Summary: FAM, the File Alteration Monitor development files.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Static libraries and header files for fam, the File Alteration
Monitor.

%prep
%setup -q
%patch1 -p1 -b .dnotify
%patch2 -p1 -b .build
%patch7 -p1 -b .cleanup
%__perl -p -i -e 's/test//' Makefile.*

%build
#The patch changes configure.in, so we have to regenerate some files
libtoolize --force
aclocal
autoconf
autoheader
automake-old --add-missing
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_prefix}

make install DESTDIR=%{buildroot}

%__mkdir_p %{buildroot}/etc/xinetd.d
%__cp $RPM_SOURCE_DIR/sgi_fam.xinetd %{buildroot}/etc/xinetd.d/sgi_fam

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL INSTALL.rpm README TODO
%config(noreplace) /etc/xinetd.d/sgi_fam
%config(noreplace) /etc/fam.conf
%{_prefix}/bin/fam
%{_prefix}/lib/libfam.so.*
%dir %{_prefix}/lib/fam
%{_prefix}/lib/fam/editconf.perl
%{_mandir}/man1/fam.1m.*

%files devel
%defattr(-, root, root)
%{_prefix}/lib/libfam.so
%{_prefix}/lib/libfam.la
%{_prefix}/lib/libfam.a
%{_prefix}/include/fam.h
%{_mandir}/man3/fam.3x.*

%changelog
* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (2.6.10-3m)
- revised spec for enabling rpm 4.2.

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.6.10-2m)
- pretty spec file.

* Sun Oct 12 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.10-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Jun  6 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.6.10-1m)
- update to 2.6.10
- remove fam-2.6.7-gcc31.patch (not required)

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.6.9-2m)
- add gcc-3.1 patch

* Fri Jul 26 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.6.9-1m)
  update to 2.6.9
  
* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.6.7-6k)
- cancel gcc-3.1 autoconf-2.53

* Thu May 23 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.6.7-4k)
  applied gcc 3.1 patch

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (2.6.7-2k)
- ver up.

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (2.4.6-6k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.6-4k)
- automake autoconf 1.5

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (2.4.6-2k)

* Tue Aug  7 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-9
- Fixed dnotify detection 

* Tue Aug  7 2001 Alexander Larsson <alexl@redhat.com> 2.6.4-8
- Add patch that fixes problem when several different users
- connect to fam.

* Wed Jul 04 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Make killall silent.

* Wed Jul 04 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- make sure scripts exit without failure

* Mon Jul 2 2001 Alexander Larsson <alexl@redhat.com>
- Release 5. Some specfile cleanups

* Mon Jul 2 2001 Alexander Larsson <alexl@redhat.com>
- Release 4. Bind the server to 127.0.0.1 to avoid external
- connections. New dnotify patch that handles (i hope)
- queue overruns. Make the service UNLISTED so that modification
- of /etc/rpc isn't needed.

* Wed Jun 27 2001 Alexander Larsson <alexl@redhat.com>
- release 3, require xinetd pre15 because of brokenness in pre14
- Install the service in /etc/rpc

* Tue Jun 26 2001 Alexander Larsson <alexl@redhat.com>
- Initial version, based on the one in the fam distribution.
- release is 2 to avoid collisions with the distribution version
